Bug 595017 - [RS780] UMS X.org crashes if Desktopeffects (kwin) are enabled
[RS780] UMS X.org crashes if Desktopeffects (kwin) are enabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
13
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
: Triaged
: 595015 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-22 16:54 EDT by Christian Funke
Modified: 2018-04-11 12:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:34:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (39.80 KB, text/plain)
2010-05-25 04:02 EDT, Christian Funke
no flags Details
/var/log/message (70.69 KB, text/plain)
2010-05-25 04:07 EDT, Christian Funke
no flags Details
/var/log/Xorg.0.log (77.79 KB, text/plain)
2010-05-25 04:08 EDT, Christian Funke
no flags Details
crash log under F14 with same symptoms (77.57 KB, text/plain)
2011-01-20 03:27 EST, Roman Mäder
no flags Details

  None (edit)
Description Christian Funke 2010-05-22 16:54:48 EDT
Description of problem:
This is a crossposting of bug #595015 since I am not sure which component is responsible for the crash.

If I boot without KMS enabled (i am bitten by bug #581484) and enable desktop
effects X.org crashes after a few seconds if I use the desktop normaly. A way
to trigger this is to enable the preview windows in the windowlist and then
hover the mouse over the taskbar. X.org immediately crashed. I am reporting
this on Thinkpad X100e with Radeon 3200 mobility graphics

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.13

How reproducible:


Steps to Reproduce:
1. Disable KMS during boot
2. Enable Desktopeffects in Kwin
3. Hover the mouse over the window bar
  
Actual results:
X.org crashes

Expected results:
X.org should not crash


Additional info:

Other opengl apps seem to be working fine without crashing (tried glxgears and
a view video players which use opengl for displaying the video).

If you need additional information please let me know
Comment 1 Kevin Kofler 2010-05-22 17:14:49 EDT
*** Bug 595015 has been marked as a duplicate of this bug. ***
Comment 2 Matěj Cepl 2010-05-24 10:14:40 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command,
* system log (/var/log/messages), and
* X server log file (/var/log/Xorg.*.log)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Vedran Miletić 2010-05-24 15:51:16 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 4 Christian Funke 2010-05-25 04:02:26 EDT
Created attachment 416295 [details]
dmesg output

Output of dmesg after booting with drm.debu=0x04 as requested
Comment 5 Christian Funke 2010-05-25 04:07:42 EDT
Created attachment 416298 [details]
/var/log/message

/var/log/messages from a crashed session
Comment 6 Christian Funke 2010-05-25 04:08:45 EDT
Created attachment 416299 [details]
/var/log/Xorg.0.log

The Xorg.log for the crash
Comment 7 Christian Funke 2010-05-25 04:09:27 EDT
I have no xorg.conf so theres nothing to attach.
Comment 8 Matěj Cepl 2010-05-25 19:56:55 EDT
Backtrace:
[   393.275] 0: /usr/bin/X (xorg_backtrace+0x28) [0x49e708]
[   393.275] 1: /usr/bin/X (0x400000+0x603d9) [0x4603d9]
[   393.275] 2: /lib64/libc.so.6 (0x31f2000000+0x32a40) [0x31f2032a40]
[   393.276] 3: /usr/bin/X (dixLookupPrivate+0xa) [0x445caa]
[   393.276] 4: /usr/lib64/xorg/modules/extensions/libglx.so (0x7fbfa5c2a000+0x3e99b) [0x7fbfa5c6899b]
[   393.276] 5: /usr/lib64/xorg/modules/extensions/libglx.so (0x7fbfa5c2a000+0x35e6f) [0x7fbfa5c5fe6f]
[   393.276] 6: /usr/bin/X (FreeResource+0x140) [0x449570]
[   393.276] 7: /usr/lib64/xorg/modules/extensions/libglx.so (0x7fbfa5c2a000+0x32f19) [0x7fbfa5c5cf19]
[   393.276] 8: /usr/lib64/xorg/modules/extensions/libglx.so (0x7fbfa5c2a000+0x35c80) [0x7fbfa5c5fc80]
[   393.276] 9: /usr/bin/X (0x400000+0x2c32c) [0x42c32c]
[   393.276] 10: /usr/bin/X (0x400000+0x219ca) [0x4219ca]
[   393.277] 11: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x31f201ec5d]
[   393.277] 12: /usr/bin/X (0x400000+0x21579) [0x421579]
[   393.277] Segmentation fault at address 0x290
[   393.277] 
Fatal server error:
[   393.277] Caught signal 11 (Segmentation fault). Server aborting
Comment 9 Roman Mäder 2011-01-20 03:27:26 EST
Created attachment 474403 [details]
crash log under F14 with same symptoms

probably the exact same crash:
Fedora 14 x86_64
ATI Radeon 4850 (RV770)

xorg-x11-drv-ati-6.13.1-0.3.20100705git37b348059.fc14.x86_64
xorg-x11-server-Xorg-1.9.3-4.fc14.x86_64

crash happens when I enable desktop effects in KDE and then open firefox,
for example.

Backtrace:
[420294.279] 0: /usr/bin/X (xorg_backtrace+0x28) [0x4a0488]
[420294.279] 1: /usr/bin/X (0x400000+0x60d79) [0x460d79]
[420294.279] 2: /lib64/libc.so.6 (0x37ea400000+0x34100) [0x37ea434100]
[420294.279] 3: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f0f5930e000+0x397ea) [0x7f0f593477ea]
[420294.279] 4: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f0f5930e000+0x4156c) [0x7f0f5934f56c]
[420294.279] 5: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f0f5930e000+0x38654) [0x7f0f59346654]
[420294.279] 6: /usr/bin/X (FreeResource+0x12e) [0x44a1ce]
[420294.279] 7: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f0f5930e000+0x34639) [0x7f0f59342639]
[420294.279] 8: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f0f5930e000+0x38423) [0x7f0f59346423]
[420294.279] 9: /usr/bin/X (0x400000+0x2d4d1) [0x42d4d1]
[420294.279] 10: /usr/bin/X (0x400000+0x2152e) [0x42152e]
[420294.279] 11: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x37ea41ee7d]
[420294.279] 12: /usr/bin/X (0x400000+0x210d9) [0x4210d9]
[420294.279] Segmentation fault at address 0x290
[420294.279] 
Fatal server error:
[420294.279] Caught signal 11 (Segmentation fault). Server aborting
Comment 10 Bug Zapper 2011-06-02 09:41:23 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-27 12:34:41 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.